<link rel="import" href="../polymer/polymer-element.html" />
<link rel="import" href="../base-input/base-input.html" />

<dom-module id="dependencia-componente">
    <template>
        <style>
            :host {
                display: block;
            }
        </style>
        <h2>Hello [[prop1]]!</h2>
        <hr />
        <base-input on-custom-input="customInputHandler"></base-input>
    </template>

    <script>
        /**
         * `dependencia-componente`
         * hgfd
         *
         * @customElement
         * @polymer
         * @demo demo/index.html
         */
        class DependenciaComponente extends Polymer.Element {
            constructor() {
                super();
                this.addEventListener("custom-input", (e) => {
                    console.log("Event listener");
                });
            }
            static get is() {
                return "dependencia-componente";
            }
            static get properties() {
                return {
                    prop1: {
                        type: String,
                        value: "dependencia-componente",
                    },
                };
            }
            customInputHandler(e) {
                console.log(e);
            }
        }

        window.customElements.define(DependenciaComponente.is, DependenciaComponente);
    </script>
</dom-module>
